Projects API

Like it's HTML counterpart project comparisons the projects API allows to query the data for an arbitrary selection of projects.

This allows you to programatically retrieve data for Composer packages and their GitHub source repositories in a single place, as well as additional metrics specific to the Laravel Toolbox like popularity scores and project health status.

The API has currently no rate-limiting policy, however please use it reasonably. If you need larger scale access to data for analysis please batch your requests instead.

GET /api/projects/compare/laravel/framework,phpunit/phpunit,guzzlehttp/guzzle

This endpoint is limited to 100 projects per request. If you request more than that you will receive an error. Please batch requests in groups to retrieve more projects.


{
  "projects": []
}